/**
 *******************************************************************************
 * @file    tmpm066_int.h
 * @brief   All interrupt request functions prototypes of ADC
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM066_INT_H
#define __TMPM066_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* external variables --------------------------------------------------------*/
extern uint8_t fIntADC;

/* Private function prototypes -----------------------------------------------*/
void INTAD_IRQHandler(void);

#endif                          /* __TMPM066_INT_H */
