/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of LVD demo
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

#include "main.h"

int main(void)
{
  
    LVD_EnableVD2();
    LVD_SetVD2Level(LVD_VDLVL2_290);
    hardware_init(UART_RETARGET);
    while (1) {
        if (LVD_GetVD2Status() == LVD_VD_UPPER) {
            common_uart_disp("UPPER\n");
        } else {
            common_uart_disp("LOWER\n");
        }
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
