/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm066_tmrb.h"
#include "tmpm066_gpio.h"
#include "sw.h"

/* Private define ------------------------------------------------------------*/

#define TMRB0TIME       0x05DCU /* TMRB0 for PPG , Ttmrb = 0.333...us, 500us/0.333...us = 1500U = 0x05DCU */
#define LEADINGTIMINGMAX         0x05U  /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U     /* LEADINGTIMING RATE COUNTER Initialize */

/* External function prototypes ----------------------------------------------*/
#endif
