/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_TIMER demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm066_tmrb.h"
#include "led.h"

/* Private define ------------------------------------------------------------*/

#define TMRB_1MS        0x0BB8U /* fsys = fc = fpll = 24MHz, fphiT0 = fperiph = fgear = fc */
                                /* ftmrb = 1/8fphiT0 = 1/8 * 24 = 3MHz, Ttmrb = 0.333...us, 1000us/0.333...us = 3000U = 0x0BB8U */

/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/

#endif
