/** 
 *******************************************************************************
 * @file    main.h
 * @brief   The application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/09/30
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm066_uart.h"
#include "tmpm066_gpio.h"
#include "tmpm066_cg.h"
#include "tmpm066_uart_int.h"
#include "sw.h"
#include "uart.h"
#include <stdio.h>

/* Private define ------------------------------------------------------------*/

#define SW_PORT        SW0

#define SWRELEASE      0U       /* switch RELEASE */
#define UART_RETARGET   UART1
#define RETARGET_INT    INTTX1_IRQn

void delay(void);

/* Private function prototypes -----------------------------------------------*/

#endif
