/**
 *******************************************************************************
 * @file    usbd_hw_com.h
 * @brief   USB H/W Common Header for TOSHIBA Cortext M0/M3 Device Series
 * @version V1.000
 * @date    2015/09/11
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 *
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

#ifndef _USBD_HW_COM_H_
#define _USBD_HW_COM_H_

/* Defines */
#define SOFTWARE_DELAY  0x20000U;

/* Prototypes */
void usbd_wait_1ms(void);
void Config_USB(void);

#endif  /* _USBD_HW_COM_H_ */
