/**
 *******************************************************************************
 * @file    tmpm066_int.c
 * @brief   all interrupt request functions definition of CG_ModeSwitch 
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/09/29
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2016 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm066_int.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/**
  * @brief  INT5_IRQHandler
  * @param  None
  * @retval None
  */
void INT5_IRQHandler(void)
{
	NVIC_DisableIRQ(INT5_IRQn);
	NVIC_ClearPendingIRQ(INT5_IRQn);
	TSB_INTIFAO->STOP2INT_037 = 0xC0;

	/* Begin user code. */

	/* End user code. */

	NVIC_EnableIRQ(INT5_IRQn);
	TSB_INTIFAO->STOP2INT_037 |= 0x05;
}
