/**
 *******************************************************************************
 * @file    tmpm066_int.c
 * @brief   all interrupt request functions definition of CG Demo
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/10/23
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/**
  * @brief  ExtINTSrc_IRQHandler
  * @param  None
  * @retval None
  */
void ExtINTSrc_IRQHandler(void)
{
    uint8_t ledval;
    INTIFAO_ClearINTReq(CG_ExtINTSrc);
    TSB_INTIFAO->STOP2INT_037 = 0xC0;
    ledval = LED_EXT | LED_OTHER;
    LED_On(ledval);
    LED_Off(~ledval);
}
