/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMR16A_TIMER demo for the TOSHIBA
 *          'TMPM066' Device Series 
 * @version V0.100
 * @date    2015/10/09
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm066_tmr16a.h"
#include "led.h"

/* Private define ------------------------------------------------------------*/
#define TMR16A_1MS        0x5DC0U       /* fsys = fc = 24MHz, ftmrb = fperiph = fgear = fc */
                                 /* Ttmrb = 1/24us, 1000us*24us = 24000 = 0x5DC0 */
/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/

#endif
