/**
 *******************************************************************************
 * @file    tmpm066_uart_int.h
 * @brief   All interrupt request functions prototypes of UART (Serial Channel)
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/09/30
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM066_UART_INT_H
#define __TMPM066_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM066.h"
#include "tmpm066_uart.h"


void INTTX0_IRQHandler(void);
void INTRX1_IRQHandler(void);

void INTRX0_IRQHandler(void);
void INTTX1_IRQHandler(void);
#endif                          /* __TMPM066_UART_INT_H */
