/**
 *******************************************************************************
 * @file    tmpm066_wdt_int.h
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM066' Device Series
 * @version V0.100
 * @date    2015/10/12
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 *
 * (C)Copyright TOSHIBA CORPORATION 2015 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM066_WDT_INT_H
#define __TMPM066_WDT_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM066.h"
#include "tmpm066_wdt.h"

/* External function prototypes ----------------------------------------------*/
void NMI_Handler(void);

#endif                          /* __TMPM066_WDT_INT_H */
/*********************************** END OF FILE ******************************/
